Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Bug Latest editor version does not support learning templates?

Discussion in 'Unity Hub' started by kbeal2k, Jun 25, 2023.

  1. kbeal2k

    kbeal2k

    Joined:
    Jun 25, 2023
    Posts:
    2
  2. On the Learn page, there is a section on the right hand side: "Select your Unity version". It lists the valid Unity versions the learning material compatible with. Choose the latest listed one.
    Screenshot 2023-06-24 215345.png
     
  3. kbeal2k

    kbeal2k

    Joined:
    Jun 25, 2023
    Posts:
    2
    Ok wow I assumed the latest version would have these. Thanks.
     
    ferrousmaple likes this.
  4. They have a metric ton of learning material and a constantly evolving editor. For better or worse they decided to not to promote them in editors they didn't checked for sure that they will work (after they got similar complaints that they allow to download tutorials in editors not compatible). They also revisit learning material and make them compatible with newer versions, so it is a possibility that they will do that with this one sooner or later.
     
  5. will4721

    will4721

    Joined:
    Apr 13, 2023
    Posts:
    1
    yeah so i downloaded every version imaginable and i still can't find any templates the maximum i fund was a couple of basic samples
     
    cjthepiratedog and reinfeldx like this.
  6. MooseNoggin

    MooseNoggin

    Joined:
    Jul 3, 2023
    Posts:
    2
    I don't even see an Overview tab in the Unity Hub Learn tab, it's just Featured, Recommended and Downloaded, with no option to select a Unity editor.
    I've downloaded 2022.3.3f1 2022.3.4f1 and 2021.3.27f1 and all of them say "Sorry this Editor version does not support learning templates"
    -edit-
    Editor Version 2020.3.48f1 HAS the Microgames in the Learning tab.
    Really wish the tutorials were updated making this clear so they were future proof and new users wouldn't get so tripped up.
     
    Last edited: Jul 3, 2023
  7. daltonolinoski

    daltonolinoski

    Joined:
    Jul 1, 2023
    Posts:
    1
    Thank-you for posting this solution. Just getting into it myself and was at an impasse.
     
  8. Charm143

    Charm143

    Joined:
    Jul 9, 2023
    Posts:
    1

    Thanks! I came here tonight searching for the same thing. However, it says version 2020.3.48f1 supports Intel, but I have Silicon, so I guess I have a new issue to figure out.
     
    Angels_TiV and danarech99 like this.
  9. Luffy_liu_1024

    Luffy_liu_1024

    Joined:
    Jul 24, 2023
    Posts:
    2
    I chose the version of 2021.3.28f1 silicon LTS and got the learning template.
     
    Angels_TiV likes this.
  10. frazerkirkman_unity

    frazerkirkman_unity

    Joined:
    Jun 2, 2021
    Posts:
    1
    I just installed 2021.3.29f1 LTS and it also has the microgames.
     
  11. unity_s1k6AQ5aV1ngvg

    unity_s1k6AQ5aV1ngvg

    Joined:
    Aug 24, 2023
    Posts:
    1
    Yeah, I'm really not happy about this. One sentence "Make sure to check your version. May not be compatible with versions besides this: xxxx.x.xxxx" would have saved me over an hour of trying to figure out the problem. I'm brand new to this and this is my first experience? I'm planning on devoting a lot of time to this and this does not inspire confidence in me. How many other stupid things like this am I going to run into?
     
  12. FiloRule

    FiloRule

    Joined:
    Sep 1, 2023
    Posts:
    1
    I guess this is the first test to know if you're serious or not. o_O
    Anyway, thanks for the post.
     
  13. ludickefabian

    ludickefabian

    Joined:
    Sep 1, 2023
    Posts:
    1
    2021.3.30f1 is save to use aswell
     
  14. rat_honker

    rat_honker

    Joined:
    Sep 9, 2023
    Posts:
    1
    Crazy that this is my first user experience! Can confirm 2021.3.30f1 is the version you need.
     
  15. RoopleDoops

    RoopleDoops

    Joined:
    Sep 9, 2023
    Posts:
    1
    This is embarrassing. The main site's "Unity Essentials" pathway directs to microgames that don't even work with the current version of Unity? And I have to download a 2-year old version to access them? A solution never advertised anywhere but discovered by other frustrated users? Yikes.
     
  16. erosen96

    erosen96

    Joined:
    Sep 14, 2023
    Posts:
    2
    I've downloaded several archived versions trying to access the microgames. But my mac won't open unity.pkg. Even when i go into privacy settings and try manualyl allowing it to 'open anyway', it won't open. No idea what to do.
     
    Andre79 likes this.
  17. erosen96

    erosen96

    Joined:
    Sep 14, 2023
    Posts:
    2
    nvm think i got it.
     
  18. maxnax523

    maxnax523

    Joined:
    Oct 27, 2023
    Posts:
    1
    Apparently Unity's own forum is not being monitored. How else do you explain 2 years of newer versions with no support for new users. Mind-bogglingly stupid, indeed. I'm probably just going to uninstall of this nonsense and delete my account. Why bother creating a project using a tutorial built off of an older version? You're learning the essentials, I guess.
     
    walkersullivan and ferrousmaple like this.
  19. CDJ

    CDJ

    Joined:
    Nov 13, 2013
    Posts:
    1
    Ran into this issue today. FYI, 2021.3.31f1 also supports the learning templates.
     
    borgforlife likes this.
  20. ferrousmaple

    ferrousmaple

    Joined:
    Nov 6, 2023
    Posts:
    1
    This really badly needs fixing. It's incredibly confusing for a new user.
     
    Buratino74, baconrad and borgforlife like this.
  21. LP94

    LP94

    Joined:
    Nov 16, 2023
    Posts:
    2
    Thanks for the research!
    Definitely sucks though...
     
    baconrad and borgforlife like this.
  22. kkaundev

    kkaundev

    Joined:
    Nov 17, 2023
    Posts:
    2
    Similarly to recent replies, 2021.3.32f1 is also working fine.
     
  23. maxmagoon1

    maxmagoon1

    Joined:
    Nov 15, 2023
    Posts:
    1
    Guess I'll go ahead and install some 2 year old piece of software. Do have to point out this is retarded. Why I have to install more than the most recent stable release is beyond me. Might as well just make video series at that point. It's little details like this that push people away from these platforms.
     
    Buratino74 and borgforlife like this.
  24. xtdiwd

    xtdiwd

    Joined:
    Jul 25, 2020
    Posts:
    128
    This implies having to keep two different versions installed. Modern disks are large, but not infinite.
    Also by doing so I lose the new features! Which I may want to learn!
    Often porting a completed mcirogame to a newer version, so as to take advantage of the new features, is impossible.
    Some microgames, like Lego, I don't even think it is possible to recreate them manually, but you have to start with the microgame and then customize it.
    :mad:
     
    borgforlife likes this.
  25. borgforlife

    borgforlife

    Joined:
    Nov 24, 2023
    Posts:
    3
    ah well, I guess I'm sort of glad I'm not the only one experiencing this issue. Now I gotta spend the time and energy involved in deciding whether to just give up on unity entirely, try to learn without any sample templates, or spend the time and energy to download the 2020 version of the editor. Ye gods, the amount of time I've already spent on downloading unity and whatnot and I'm STILL not to the point where I can even open a sample.
     
    baconrad likes this.
  26. ryanomorain

    ryanomorain

    Joined:
    Nov 29, 2023
    Posts:
    1
    What a ridiculous oversight; has this been fixed yet? I ran into this exact problem
     
  27. baconrad

    baconrad

    Joined:
    Nov 27, 2023
    Posts:
    1
    this is so f***ed up. my very first engagement with this product and i'm off in never never land. not even sure what it is i'm installing. is at another version of the editor that runs in my unity hub or a whole separate version of unity? really doesn't give much confidence of what's to come.
     
    Buratino74 likes this.
  28. Ryiah

    Ryiah

    Joined:
    Oct 11, 2012
    Posts:
    20,750
    While it's frustrating it's an unfortunate reality of these kinds of tutorials. A text-based tutorial with images can be changed in minutes, a video tutorial can be changed in hours, but a tutorial that requires editor functionality will take much longer. Potentially days which is troublesome as counting every release Unity updates every few days.

    It's for this reason that I can't recommend these tutorials to people who are just getting started. Start with the video tutorials and once you have a basic grasp of everything you'll have a much better shot with these tutorials.
     
    Last edited: Dec 4, 2023
  29. Deleted User

    Deleted User

    Guest

    Thank you for pointing this out to us regarding the Microgames not showing up in the learn templates for the latest LTS. The good news, is that the Microgames should work just fine in that version, and you can get them for free on the Asset Store. You may just need to upgrade some materials or packages, depending on the one you are using.

    The reason why these are not showing up for the latest LTS, is that they have become a bit outdated and do not hit our current standards for templates these days. The learn team is aware and is applying resources to not only attempt to correct this issue, but to explore what other aspects may be needed to make the Microgames better than before. Lot's of questions up in the air and decisions to make. I know the answer seems clear from the outside in the sense of just needing someone to update them to 2022.3 LTS, however we need to take a better look at the situation so that we can apply our resources on long term solutions and plans for our users best interests.

    We appreciate the patience you have shown and your continued excitement while we work on our side to make things right for you.

    Kind Regards,
    Unity Chan
     
    Harry-Wells likes this.
  30. Buratino74

    Buratino74

    Joined:
    Dec 5, 2023
    Posts:
    1
    Hey, thank you for answering back. The thing is, that is really frustrating. I literally installed unity today, i am quite old for the "industry standard" to learn these things, but I really want to, and because of so many factors I dont go into now, I just like to take a tutorial and complete it, step by step, believing truly it is the best and shortest way to learn something in the first place (this works for me at least). And then I pop up into a bunch of tutorials, a little outdated, with no one explaining what is going on, how to just proceed further? I dont want to skip valuable lessons, so I decide to hang more, and think I will figure it out someway. But is all so new to me and I have no idea how to proceed if the thing that is supposed to teach... :))) All my frustration from the last half of the day I put it here :))) Not on you, but it would be really helpful some added tips where the lesson is outdated. That's it. Anyway, thank you for the beautiful piece of software that I could download and hopefully learn to use, all for free. <3
     
    dustintimbrook likes this.
  31. Deleted User

    Deleted User

    Guest

    @Buratino74

    The frustration is understandable.
    We recommend our Unity Essentials Pathway for folks brand new to learning Unity and an engine in general. While the fate of the Microgames continue to evolve, you may find our other learning pathways to be a better source of updated and stable knowledge. It sounds like you are not a beginner yourself and could benefit from additional learning to your experience already.

    Kind Regards,
    Unity Chan
     
  32. xtdiwd

    xtdiwd

    Joined:
    Jul 25, 2020
    Posts:
    128
    There is an easy solution to this: create the new versions of Unity that are backward compatible!
    So that maybe you could even think about translating the tutorials.
     
  33. adhubbard7

    adhubbard7

    Joined:
    Dec 22, 2023
    Posts:
    1
    Just FYI--I found the microgames link on one of the first steps of the Unity Essentials Pathway--under the "Get Started with Unity" pathway it's number 5. However when I go to "https://learn.unity.com/course/microgames-learn-the-basics-of-unity" I see the message "Sorry, this learning content is no longer available." As someone who has never used Unity before, this is a bit confusing to me.
     
  34. TomoEatDev

    TomoEatDev

    Joined:
    Dec 26, 2023
    Posts:
    1

    thanks man been trying to figure this out for a while now
     
  35. ThatScratchDev

    ThatScratchDev

    Joined:
    Jan 1, 2024
    Posts:
    1
    I have no clue how you got to that. I cant find that option anywhere but I'm having the same problem.